// Формирование параметров запроса
function urlSearchParams(queryParams)
{
    let searchParams = "";
    const keys = Object.keys(queryParams);
    
    for (let i = 0; i < keys.length; i++) {
        if (i != keys.length - 1){
    		searchParams += `${keys[i]}=${queryParams[keys[i]]}&`;
        } else {
            searchParams += `${keys[i]}=${queryParams[keys[i]]}`;
        }
    }
    
    return searchParams;
}

// Формирование FormData
function formData(boundary, formDataParams)
{
    // Данные, которые нужно отправить
    const data = [];
    const keys = Object.keys(formDataParams);
    
    for (let i = 0; i < keys.length; i++) {
        data.push('--' + boundary)
        data.push(`Content-Disposition: form-data; name="${keys[i]}"`)
        data.push('')
        data.push(formDataParams[keys[i]])
    }
    
    return data.join('\r\n') + '--';
}

export { urlSearchParams, formData };